| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
headercol.h File Reference

## Classes
class | wxHeaderColumn
| Represents a column header in controls displaying tabular data such as wxDataViewCtrl or wxGrid. More...
class | wxSettableHeaderColumn
| Adds methods to set the column attributes to wxHeaderColumn. More...
class | wxHeaderColumnSimple
| Simple container for the information about the column. More...

## Enumerations
enum | { wxCOL_WIDTH_DEFAULT = -1, wxCOL_WIDTH_AUTOSIZE = -2 }
| Column width special values. More...
enum | { wxCOL_RESIZABLE = 1, wxCOL_SORTABLE = 2, wxCOL_REORDERABLE = 4, wxCOL_HIDDEN = 8, wxCOL_DEFAULT_FLAGS = wxCOL_RESIZABLE | wxCOL_REORDERABLE }
| Bit flags used as wxHeaderColumn flags. More...

## Enumeration Type Documentation

anonymous enum

Column width special values.

Enumerator:

  wxCOL_WIDTH_DEFAULT | Special value used for column width meaning unspecified or default.
  wxCOL_WIDTH_AUTOSIZE | Size the column automatically to fit all values. Note On OS X, this style is only implemented in the Cocoa build on OS X >= 10.5; it behaves identically to wxCOL_WIDTH_DEFAULT otherwise.

anonymous enum

Bit flags used as wxHeaderColumn flags.

Enumerator:

  wxCOL_RESIZABLE | Column can be resized (included in default flags).
  wxCOL_SORTABLE | Column can be clicked to toggle the sort order by its contents.
  wxCOL_REORDERABLE | Column can be dragged to change its order (included in default).
  wxCOL_HIDDEN | Column is not shown at all.
  wxCOL_DEFAULT_FLAGS | Default flags for wxHeaderColumn ctor.